#include "StoreItemViewData.h"
#include "UObject/SoftObjectPtr.h"

class UTexture2D;

bool UStoreItemViewData::GetIsUnlocked() const
{
	return false;
}

bool UStoreItemViewData::GetIsOwned() const
{
	return false;
}

bool UStoreItemViewData::GetIsEnabled() const
{
	return false;
}

bool UStoreItemViewData::GetIsBuyable() const
{
	return false;
}

bool UStoreItemViewData::GetIsAvailable() const
{
	return false;
}

TSoftObjectPtr<UTexture2D> UStoreItemViewData::GetIcon() const
{
	return NULL;
}

bool UStoreItemViewData::GetHasNotification() const
{
	return false;
}

UStoreItemViewData::UStoreItemViewData()
{
	this->DisplayName = FText::GetEmpty();
	this->IsInStore = false;
	this->IsNewInStore = false;
	this->IsTutorialItem = false;
	this->ChapterPackId = TEXT("");
	this->HeritagePackId = TEXT("");
	this->RiftArchiveId = TEXT("");
	this->TomeArchiveId = TEXT("");
	this->DisabledItemOption = EDisabledItemOption::Available;
}
